curl
# Requires the core:configure key scope.
curl -X GET "https://api.triggr-app.com/api/v1/core/options/microsoft?clientId=<clientId>&dataKey=<dataKey>" \
-H "Authorization: Bearer $TRIGGR_API_KEY"// Requires the core:configure key scope.
const res = await fetch("https://api.triggr-app.com/api/v1/core/options/microsoft?clientId=<clientId>&dataKey=<dataKey>", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();# Requires the core:configure key scope.
$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/core/options/microsoft?clientId=<clientId>&dataKey=<dataKey>' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/core/options/microsoft"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/core/options/microsoft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/core/options/microsoft",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/core/options/microsoft"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/core/options/microsoft")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/core/options/microsoft")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"options": [
{
"label": "All Staff",
"type": "group",
"value": "0a5f7c2e-91b4-4d38-8e6a-2c7f1b9d4e50"
},
{
"label": "Sales",
"type": "group",
"value": "7e3b1d42-6c8f-4a91-b2d5-3f0a8c6e1b47"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Core configuration
Microsoft 365 picker data for a client
Requires the core:configure key scope.
GET
/
api
/
v1
/
core
/
options
/
microsoft
curl
# Requires the core:configure key scope.
curl -X GET "https://api.triggr-app.com/api/v1/core/options/microsoft?clientId=<clientId>&dataKey=<dataKey>" \
-H "Authorization: Bearer $TRIGGR_API_KEY"// Requires the core:configure key scope.
const res = await fetch("https://api.triggr-app.com/api/v1/core/options/microsoft?clientId=<clientId>&dataKey=<dataKey>", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();# Requires the core:configure key scope.
$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/core/options/microsoft?clientId=<clientId>&dataKey=<dataKey>' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/core/options/microsoft"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/core/options/microsoft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/core/options/microsoft",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/core/options/microsoft"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/core/options/microsoft")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/core/options/microsoft")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"options": [
{
"label": "All Staff",
"type": "group",
"value": "0a5f7c2e-91b4-4d38-8e6a-2c7f1b9d4e50"
},
{
"label": "Sales",
"type": "group",
"value": "7e3b1d42-6c8f-4a91-b2d5-3f0a8c6e1b47"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Organisation API key. Scoped operations carry x-triggr-scope; the scopes themselves are described in x-triggr-scopes.
Query Parameters
The client whose tenant to read
Which data set
Available options:
groups, users, domains, sharedMailboxes, licenses, licenseSkus, departments, jobTitles Response
OK
Show child attributes
Show child attributes
⌘I

